> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List of contracts

GET /contracts

Returns a paginated list of contract summaries for the organization, with optional filtering by status, type, team, legal entity, country, currency, external ID, or a name search term. Use `GET /contracts/{contract_id}` to retrieve full details for a specific contract.

**Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/endpoints/contracts/get-contracts

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Request

### Query parameters

- `after_cursor` (string, optional) — Return next page of results after the given cursor.
- `limit` (string, optional, default: 50) — Return a page of results with the given number of records.
- `order_direction` (enum, optional) — Order direction of results; ascending or descending.
  - Allowed values: `asc`, `desc`
- `types` (list of enum, optional) — Filter contracts by type. A contract is included in the results if its type is in this list.
  - Allowed values: `ongoing_time_based`, `milestones`, `time_based`, `pay_as_you_go_time_based`, `commission`, `payg_milestones`, `payg_tasks`, `eor`, `peo`, `unknown`, `employee`, `global_payroll`, `shield_msa`, `hris_direct_employee`, `contractor_outside_deel`
- `statuses` (list of enum, optional) — Filter contracts by current status. A contract is included in the results if its status is in this list.
  - Allowed values: `new`, `under_review`, `waiting_for_employee_contract`, `waiting_for_client_sign`, `processing_payment`, `waiting_for_contractor_sign`, `waiting_for_eor_sign`, `waiting_for_employee_sign`, `awaiting_deposit_payment`, `in_progress`, `completed`, `cancelled`, `user_cancelled`, `rejected`, `waiting_for_client_payment`, `onboarding`, `onboarded`
- `team_id` (string or list of string, optional) — Filter contracts for the given team ID(s). A contract is included in the results if its team is in this list.
- `legal_entity_id` (string or list of string, optional) — Filter contracts for the given legal entity ID(s). A contract is included in the results if its legal entity is in this list.
- `external_id` (string, optional) — Filter contracts for the given external ID.
- `external_id_absent` (string, optional) — Filter contracts by external ID presence. When true, returns contracts without an external ID. When false, returns contracts with an external ID. Cannot be used with external_id query param when set to true.
- `countries` (list of string, optional) — Filter contracts by country codes.
- `currencies` (list of string, optional) — Filter contracts by currency codes.
- `search` (string, optional) — Include a contract if its name or the contractor's name contains the given search term.
- `sort_by` (enum, optional) — Sort contracts by the given field name.
  - Allowed values: `contract_title`, `worker_name`
- `expand` (list of enum, optional) — Include additional fields in the response. Multiple values can be passed as comma-separated list.
  - Allowed values: `cost_centers`, `custom_fields`

## Response

### 200

Successful operation.

- `data` (list of object, required) — Array of contract objects.
  - `id` (string, required) — UUID of the contract.
  - `type` (enum, required) — Type of a contract.
    - Allowed values: `ongoing_time_based`, `milestones`, `time_based`, `pay_as_you_go_time_based`, `commission`, `payg_milestones`, `payg_tasks`, `eor`, `unknown`, `peo`, `employee`, `global_payroll`, `shield_msa`, `hris_direct_employee`, `contractor_outside_deel`
  - `title` (string, required) — Title of the contract.
  - `client` (object, required) — Client information associated with the contract.
    - `team` (object, optional) — Team information for the client.
      - `id` (string, required) — Unique identifier of this resource.
      - `name` (string, required, nullable) — Name of a team.
    - `legal_entity` (object, optional, nullable) — Legal entity information for the client.
      - `id` (string, required) — Unique identifier of this resource.
      - `name` (string, required, nullable) — Name of the legal entity.
  - `status` (enum, required) — Status of a contract in Deel workflow.
    - Allowed values: `new`, `under_review`, `waiting_for_approval`, `waiting_for_employee_contract`, `waiting_for_client_sign`, `processing_payment`, `waiting_for_contractor_sign`, `waiting_for_eor_sign`, `waiting_for_employee_sign`, `waiting_for_hris_employee_sign`, `awaiting_deposit_payment`, `in_progress`, `completed`, `cancelled`, `user_cancelled`, `rejected`, `waiting_for_client_payment`, `onboarding`, `onboarded`
  - `created_at` (string, required, nullable) — Timestamp when the contract was created, in ISO-8601 format.
  - `signatures` (object, required) — Signature information for the contract.
    - `client_signed_at` (string, required, nullable) — Timestamp when the client signed the contract, in ISO-8601 format.
    - `worker_signature` (string, required, nullable) — Worker's signature.
    - `worker_signed_at` (string, required, nullable) — Timestamp when the worker signed the contract, in ISO-8601 format.
  - `invitations` (object, required) — Details of invitations sent for signing the contract.
    - `client_email` (string, optional, nullable) — Email address of the client to invite.
    - `worker_email` (string, optional, nullable) — Email address of the worker to invite.
  - `is_archived` (boolean, required) — Indicates whether the contract is archived.
  - `is_shielded` (boolean, required) — Indicates whether the contract is shielded.
  - `termination_date` (string, required, nullable) — Date when the contract is terminated, in ISO-8601 format.
  - `scale` (string, optional, nullable) — The payment scale (e.g., hourly, weekly, monthly, etc.).
  - `worker` (object, optional, nullable) — Worker information associated with the contract.
    - `id` (string, required) — Unique identifier of this resource.
    - `email` (string, optional, nullable) — User's email address.
    - `image` (string, optional, nullable) — URL of the worker's profile image.
    - `full_name` (string, optional) — Full name of the worker.
    - `alternate_email` (list of object, optional) — List of alternate email addresses.
      - `email` (string, optional, nullable) — User's email address.
      - `isVerified` (boolean, optional) — Indicates whether the alternate email address is verified.
  - `external_id` (string, optional, nullable) — A unique identifier for the object provided by an external system.
  - `who_reports` (enum, optional) — Indicates who is responsible for providing regular reports.
    - Allowed values: `both`, `client`, `contractor`
  - `cost_centers` (list of object, optional) — List of cost centers associated with the contract.
    - `name` (string, optional) — Cost center name.
    - `number` (string, optional) — Cost center number.
    - `allocation_percentage` (double, optional) — Percentage of the cost center allocation.
  - `custom_fields` (list of object, optional, nullable) — Contract-level custom fields. Only returned when `expand=custom_fields` is provided.
    - `id` (string, optional) — Public identifier of the custom field.
    - `name` (string, optional) — Name of the custom field.
    - `value` (string, optional, nullable) — Value of the custom field for this contract.
  - `notice_period` (double, optional, default: 0) — Number of days required to give notice before terminating the contract.
  - `fte_percentage` (double, optional, nullable) — Full time percentage
- `page` (object, required) — Pagination information for the response.
  - `cursor` (string, required) — Cursor for paginated results.
  - `total_rows` (double, required) — Total number of rows in the result set.

## Errors

### 400 Bad Request Error

Bad Request - Validation error or invalid parameters

- `errors` (list of object, required) — Error messages
  - `message` (string, required) — Error response
- `request` (object, optional) — Error request details
  - `method` (string, optional) — Method of the API
  - `status` (double, optional) — Status of API response

### 401 Unauthorized Error

Operation failed.

- `request` (object, optional)
  - `method` (string, optional) — The HTTP method of the failed request
  - `url` (string, optional) — The relative URL of the failed request
  - `status` (double, optional) — The status code of the response
  - `api_req_id` (string, optional) — The request ID of the failed request
  - `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
  - `source` (string, optional) — The source handler which produced the returned error
  - `code` (double, optional) — The code of the source handler which produced the returned error
- `errors` (list of object, optional)
  - `message` (string, optional) — A description of the returned error
  - `path` (string, optional) — The JSON path where input validation failed

### 403 Forbidden Error

Operation failed.

- `request` (object, optional)
  - `method` (string, optional) — The HTTP method of the failed request
  - `url` (string, optional) — The relative URL of the failed request
  - `status` (double, optional) — The status code of the response
  - `api_req_id` (string, optional) — The request ID of the failed request
  - `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
  - `source` (string, optional) — The source handler which produced the returned error
  - `code` (double, optional) — The code of the source handler which produced the returned error
- `errors` (list of object, optional)
  - `message` (string, optional) — A description of the returned error
  - `path` (string, optional) — The JSON path where input validation failed

### 404 Not Found Error

Operation failed.

- `request` (object, optional)
  - `method` (string, optional) — The HTTP method of the failed request
  - `url` (string, optional) — The relative URL of the failed request
  - `status` (double, optional) — The status code of the response
  - `api_req_id` (string, optional) — The request ID of the failed request
  - `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
  - `source` (string, optional) — The source handler which produced the returned error
  - `code` (double, optional) — The code of the source handler which produced the returned error
- `errors` (list of object, optional)
  - `message` (string, optional) — A description of the returned error
  - `path` (string, optional) — The JSON path where input validation failed

### 500 Internal Server Error

Operation failed.

- `request` (object, optional)
  - `method` (string, optional) — The HTTP method of the failed request
  - `url` (string, optional) — The relative URL of the failed request
  - `status` (double, optional) — The status code of the response
  - `api_req_id` (string, optional) — The request ID of the failed request
  - `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
  - `source` (string, optional) — The source handler which produced the returned error
  - `code` (double, optional) — The code of the source handler which produced the returned error
- `errors` (list of object, optional)
  - `message` (string, optional) — A description of the returned error
  - `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "d0377f58-f152-413a-aa9f-997bdfc61fc2",
      "type": "ongoing_time_based",
      "title": "Ken",
      "client": {
        "team": {
          "id": "d0377f58-f152-413a-aa9f-997bdfc61fc2",
          "name": "Ken"
        }
      },
      "status": "waiting_for_client_sign",
      "created_at": "2019-03-21T13:45:07.515Z",
      "signatures": {
        "client_signed_at": "2019-03-21T13:45:07.515Z",
        "worker_signature": "John Doe",
        "worker_signed_at": "2019-03-21T13:45:07.515Z"
      },
      "invitations": {
        "client_email": "test@example.com",
        "worker_email": "test@example.com"
      },
      "is_archived": false,
      "is_shielded": false,
      "termination_date": "2022-10-21T09:33:12.256Z",
      "fte_percentage": 1
    }
  ],
  "page": {
    "cursor": "eyJ0eXBlIjoiY29udGV4dCIsInN0YXR1cyI6Im5ldyJ9",
    "total_rows": 100
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/contracts"

querystring = {"after_cursor":"eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9","countries":"[\"US\",\"GB\"]","currencies":"[\"USD\",\"GBP\"]","expand":"[\"cost_centers\",\"custom_fields\"]","external_id":"1234567890","external_id_absent":"true","legal_entity_id":"123e4567-e89b-12d3-a456-426614174000","limit":"50","order_direction":"desc","search":"Test","sort_by":"contract_title","statuses":"[\"waiting_for_client_sign\",\"waiting_for_contractor_sign\"]","team_id":"123e4567-e89b-12d3-a456-426614174000","types":"[\"ongoing_time_based\",\"milestones\",\"pay_as_you_go_time_based\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/contracts?after_cursor=eyJlZmZlY3RpdmVEYXRlIjoiMjAyMy0wNS0wMyIsImlkIjozOSwibGltaXQiOjMsInJhbmsiOjZ9&countries=%5B%22US%22%2C%22GB%22%5D&currencies=%5B%22USD%22%2C%22GBP%22%5D&expand=%5B%22cost_centers%22%2C%22custom_fields%22%5D&external_id=1234567890&external_id_absent=true&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&limit=50&order_direction=desc&search=Test&sort_by=contract_title&statuses=%5B%22waiting_for_client_sign%22%2C%22waiting_for_contractor_sign%22%5D&team_id=123e4567-e89b-12d3-a456-426614174000&types=%5B%22ongoing_time_based%22%2C%22milestones%22%2C%22pay_as_you_go_time_based%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```